;*************************************************************************
;*									 *
;*				ATmega2561 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m2561def.inc"


;please burn this BootStart Fuse:

.equ	BootStart	= FirstBootStart


;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 34 = BootStart

.equ	BufferSize= (30*PageSize)

;-------------------------------------------------------------------------
;                               Port definitions
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTE
.equ    STX_DDR         = DDRE
.equ    STX             = PE1

.equ    SRX_PIN         = PINB
.equ    SRX_PORT        = PORTB
.equ    SRX             = PB1
;-------------------------------------------------------------------------
.include "fastload.inc"
;-------------------------------------------------------------------------
